﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Text;

namespace ForumStatistik.Converter
{
    public class DayOfWeekToStringConverter : ValueConverterBase<DayOfWeekToStringConverter>
    {
        public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch ((DayOfWeek)value)
            {
                case DayOfWeek.Sunday:
                    return "Sonntag";
                case DayOfWeek.Monday:
                    return "Montag";
                case DayOfWeek.Tuesday:
                    return "Dienstag";
                case DayOfWeek.Wednesday:
                    return "Mittwoch";
                case DayOfWeek.Thursday:
                    return "Donnerstag";
                case DayOfWeek.Friday:
                    return "Freitag";
                case DayOfWeek.Saturday:
                    return "Samstag";
                default:
                    return "Kein Eintrag";
            }
        }

        public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
