﻿using ForumStatistik.Model;
using System;
using System.Collections.Generic;
using System.Text;

namespace ForumStatistik.Logic
{
    public class PeopleLogic
    {
        public static void Seed()
        {
            
        }

        public static List<Person> GetPersonList()
        {
            var personList = new List<Person>();
            var presentEntries = new List<PresentEntry>();
            presentEntries.Add(new PresentEntry
            {
                Date = new DateTime(2020, 01, 27),
                PresentState = PresentStateEnum.Present
            });
            presentEntries.Add(new PresentEntry
            {
                Date = new DateTime(2020, 01, 30),
                PresentState = PresentStateEnum.Present
            });
            presentEntries.Add(new PresentEntry
            {
                Date = new DateTime(2020, 02, 3),
                PresentState = PresentStateEnum.Present
            });
            personList.Add(new Person
            {
                Id = 1,
                FullName = "Max Muster",
                Gender = GenderEnum.male,
                PersonType = PersonTypeEnum.Adult,
                PresentEntries = presentEntries
            });
            return personList;
        }

        public static List<PresentEntry> GetPresentEntries(int personId)
        {
            var entryList = new List<PresentEntry>();
            foreach (var person in GetPersonList())
            {
                foreach (var item in person.PresentEntries)
                {
                    entryList.Add(item);
                }
            }
            return entryList;
        }
    }
}
