﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ForumStatistik.Model
{
    public class Person
    {
        public int Id { get; set; }
        public string FullName { get; set; }
        public virtual GenderEnum Gender { get; set; } = GenderEnum.male;
        public virtual PersonTypeEnum PersonType { get; set; } = PersonTypeEnum.Adult;
        public ICollection<PresentEntry> PresentEntries { get; set; }

    }

    public enum GenderEnum
    {
        male,
        female
    }

    public enum PersonTypeEnum
    {
        Adult,
        Child
    }
}
