﻿using System;
using System.ComponentModel;

namespace ForumStatistik.ViewModel
{
    public interface IViewModel : INotifyPropertyChanged, IDataErrorInfo, IDisposable
    { }

    public interface IViewModel<TModel> : IViewModel
    {
        [Browsable(false)]
        [Bindable(false)]
        TModel Model { get; set; }
    }
}
