﻿using ForumStatistik.Model;
using System;

namespace ForumStatistik.ViewModel
{
    public class StatisticPresentEntryItemViewModel : ViewModelBase
    {
        private readonly PresentEntry _presentEntryModel;

        public DayOfWeek WeekDay => _presentEntryModel.Date.DayOfWeek;
        public DateTime PresentDate => _presentEntryModel.Date;

        public StatisticPresentEntryItemViewModel(PresentEntry presentEntry)
        {
            _presentEntryModel = presentEntry;
        }

    }
}
