﻿using System;
using System.Globalization;

namespace ForumStatistik.Converter
{
    public class DateTimeToDisplayDateConverter : ValueConverterBase<DateTimeToDisplayDateConverter>
    {
        public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var dt = (DateTime)value;
            return dt.ToShortDateString();
        }

        public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
