﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ForumStatistik.Model
{
    public class PresentEntry
    {
        public virtual DateTime Date { get; set; } = DateTime.Today;
        public virtual PresentStateEnum PresentState { get; set; } = PresentStateEnum.None;
    }

    public enum PresentStateEnum
    {
        None = 0,
        Present,
        Absent,
        Sick,
        Vacation
    }
}
