﻿using ForumStatistik.Logic;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace ForumStatistik.ViewModel
{
    public class StatistikListViewModel :ViewModelBase
    {
        public ObservableCollection<StatisticListItemViewModel> EntryList { get; set; }

        public StatistikListViewModel()
        {
            GetEntries();
        }

        private ObservableCollection<StatisticListItemViewModel> GetEntries()
        {
            var entryList = PeopleLogic.GetPersonList();
            EntryList = new ObservableCollection<StatisticListItemViewModel>();
            entryList.ForEach(p => EntryList.Add(new StatisticListItemViewModel(p)));
            return EntryList;
        }
    }
}
